This commit replaces the Info page slotting mechanism with simple
INFOPATH setting.
Closes: https://bugs.gentoo.org/902461
Signed-off-by: Arsen Arsenović <arsen@gentoo.org>
---
sys-devel/automake/automake-1.11.6-r4.ebuild | 84 +++++++++++++
sys-devel/automake/automake-1.16.5-r1.ebuild | 119 +++++++++++++++++++
sys-devel/automake/automake-9999.ebuild | 48 +++-----
3 files changed, 220 insertions(+), 31 deletions(-)
create mode 100644 sys-devel/automake/automake-1.11.6-r4.ebuild
create mode 100644 sys-devel/automake/automake-1.16.5-r1.ebuild
diff --git a/sys-devel/automake/automake-1.11.6-r4.ebuild b/sys-devel/automake/automake-1.11.6-r4.ebuild
new file mode 100644
index 000000000000..4e0857012d71
--- /dev/null
+++ b/sys-devel/automake/automake-1.11.6-r4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Used to generate Makefile.in from Makefile.am" +HOMEPAGE="https://www.gnu.org/software/automake/" +SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+# Use Gentoo versioning for slotting.
+SLOT="${PV:0:4}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+RESTRICT="test"
+
+RDEPEND=">=dev-lang/perl-5.6
+ >=sys-devel/automake-wrapper-10
+ >=sys-devel/autoconf-2.69:*
+ sys-devel/gnuconfig"
+DEPEND="${RDEPEND}
+ sys-apps/help2man"
+BDEPEND="app-arch/gzip"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.10-perl-5.16.patch #424453
+ "${FILESDIR}"/${PN}-1.11-install-sh-avoid-low-risk-race-in-tmp.patch
+ "${FILESDIR}"/${PN}-1.13-perl-escape-curly-bracket-r1.patch
+)
+
+src_prepare() {
+ default
+ export WANT_AUTOCONF=2.5
+ export HELP2MAN=true
+ sed -i -e "/APIVERSION=/s:=.*:=${SLOT}:" configure || die
+ export TZ="UTC" #589138
+}
+
+src_compile() {
+ # Also used in install.
+ infopath="${EPREFIX}/usr/share/automake-${PV}/info"
Closes: https://bugs.gentoo.org/902461
Signed-off-by: Arsen Arsenović <arsen@gentoo.org>
---
eclass/toolchain-autoconf.eclass | 46 +++++++++++++++++++++++++++++---
1 file changed, 43 insertions(+), 3 deletions(-)
diff --git a/eclass/toolchain-autoconf.eclass b/eclass/toolchain-autoconf.eclass
index 2ba27638468e..140ee4c9b5eb 100644
--- a/eclass/toolchain-autoconf.eclass
+++ b/eclass/toolchain-autoconf.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: toolchain-autoconf.eclass
@@ -18,6 +18,20 @@ esac
if [[ -z ${_TOOLCHAIN_AUTOCONF_ECLASS} ]]; then
_TOOLCHAIN_AUTOCONF_ECLASS=1
+# @ECLASS_VARIABLE: TC_AUTOCONF_BREAK_INFOS
+# @DESCRIPTION:
+# Enables slotting logic on the installed info pages. This includes
+# mangling the pages in order to include a version number. Empty by
+# default, and only exists for existing ebuild revisions to use. Set
On 26/03/2023 22.30, Arsen Arsenović wrote:
Closes: https://bugs.gentoo.org/902461
Signed-off-by: Arsen Arsenović <arsen@gentoo.org>
---
eclass/toolchain-autoconf.eclass | 46 +++++++++++++++++++++++++++++---
1 file changed, 43 insertions(+), 3 deletions(-)
diff --git a/eclass/toolchain-autoconf.eclass
b/eclass/toolchain-autoconf.eclass
index 2ba27638468e..140ee4c9b5eb 100644
--- a/eclass/toolchain-autoconf.eclass
+++ b/eclass/toolchain-autoconf.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: toolchain-autoconf.eclass
@@ -18,6 +18,20 @@ esac
if [[ -z ${_TOOLCHAIN_AUTOCONF_ECLASS} ]]; then
_TOOLCHAIN_AUTOCONF_ECLASS=1
+# @ECLASS_VARIABLE: TC_AUTOCONF_BREAK_INFOS
+# @DESCRIPTION:
+# Enables slotting logic on the installed info pages. This includes
+# mangling the pages in order to include a version number. Empty by
+# default, and only exists for existing ebuild revisions to use. Set
Referring to "existing ebuild revisions" becomes confusing in the future, when
there are existing ebuilds that do not use this variable.
Maybe "and only set by legacy ebuilds to phase out the broken slotting
logic. New ebuilds should not set this variable."
- Flow
On 26/03/2023 22.30, Arsen Arsenović wrote:
This commit replaces the Info page slotting mechanism with simple
INFOPATH setting.
Closes: https://bugs.gentoo.org/902461
Signed-off-by: Arsen Arsenović <arsen@gentoo.org>
---
sys-devel/automake/automake-1.11.6-r4.ebuild | 84 +++++++++++++
sys-devel/automake/automake-1.16.5-r1.ebuild | 119 +++++++++++++++++++
sys-devel/automake/automake-9999.ebuild | 48 +++-----
3 files changed, 220 insertions(+), 31 deletions(-)
create mode 100644 sys-devel/automake/automake-1.11.6-r4.ebuild
create mode 100644 sys-devel/automake/automake-1.16.5-r1.ebuild
diff --git a/sys-devel/automake/automake-1.11.6-r4.ebuild
b/sys-devel/automake/automake-1.11.6-r4.ebuild
new file mode 100644
index 000000000000..4e0857012d71
--- /dev/null
+++ b/sys-devel/automake/automake-1.11.6-r4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Used to generate Makefile.in from Makefile.am"
+HOMEPAGE="https://www.gnu.org/software/automake/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+# Use Gentoo versioning for slotting.
+SLOT="${PV:0:4}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+RESTRICT="test"
+
+RDEPEND=">=dev-lang/perl-5.6
+ >=sys-devel/automake-wrapper-10
+ >=sys-devel/autoconf-2.69:*
+ sys-devel/gnuconfig"
+DEPEND="${RDEPEND}
+ sys-apps/help2man"
+BDEPEND="app-arch/gzip"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.10-perl-5.16.patch #424453
+ "${FILESDIR}"/${PN}-1.11-install-sh-avoid-low-risk-race-in-tmp.patch
+ "${FILESDIR}"/${PN}-1.13-perl-escape-curly-bracket-r1.patch
+)
+
+src_prepare() {
+ default
+ export WANT_AUTOCONF=2.5
+ export HELP2MAN=true
+ sed -i -e "/APIVERSION=/s:=.*:=${SLOT}:" configure || die
+ export TZ="UTC" #589138
+}
+
+src_compile() {
+ # Also used in install.
+ infopath="${EPREFIX}/usr/share/automake-${PV}/info"
Not sure if we have a style policy on this, but I read lowercase variables as local-function variables. However, 'infopath', as is, is used in a subsequent ebuild phase function. So maybe s/infopath/INFOPATH/ or maybe even MY_INFOPATH
or AUTOMAKE_INFOPATH?
- Flow
Sysop: | Keyop |
---|---|
Location: | Huddersfield, West Yorkshire, UK |
Users: | 428 |
Nodes: | 16 (2 / 14) |
Uptime: | 105:33:19 |
Calls: | 9,053 |
Calls today: | 10 |
Files: | 13,395 |
Messages: | 6,015,444 |